#include <bits/stdc++.h>
using namespace std;
int main(){
    int long V;
    cin>>V;
    string s = to_string(V);
    int n = s.length();
    int long p=V;
    int long niz[n];
    for(int i=0; i<n; i++){
        niz[i]=p%10;
        p /= 10;
   
    }
    int br=0;
    for(int j=0; j<n; j++){
        if(niz[j]==1 || niz[j]==2 || niz[j]==5 ){
            br=br+1;
        }
        if(niz[j]==3 || niz[j]==4 || niz[j]==6 || niz[j]==7){
            br=br+2;
        }
        if(niz[j]==9 || niz[j]==8){
            br=br+3;
        }
        
    }